%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-pg-cursor
Version:        1.3.0
Release:        1%{?dist}
Summary:        Use a PostgreSQL result cursor from node with an easy to use API

License:        MIT
URL:            https://www.npmjs.com/package/pg-cursor
Source0:        https://registry.npmjs.org/pg-cursor/-/pg-cursor-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(pg)
BuildRequires:  postgresql-server
%endif


%description
%{summary}.


%prep
%autosetup -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/pg-cursor
cp -pr package.json index.js pg.js %{buildroot}%{nodejs_sitelib}/pg-cursor
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
# Start a postgres server
pg_ctl initdb -D pg_data -o "-A trust -E utf8"
pg_ctl start -w -D pg_data -l pg_log -o "-k $PWD -p 12345"
createdb -h $PWD -p 12345 test
# Run tests
PGPORT=12345 PGDATABASE=test %{_bindir}/mocha
# Stop the postgres server
pg_ctl stop -D pg_data
%endif


%files
%doc README.md
%{nodejs_sitelib}/pg-cursor


%changelog
* Sun Mar  4 2018 Tom Hughes <tom@compton.nu> - 1.3.0-1
- Initial build of 1.3.0.
